version: '3.8'
services:
  apache-php:
    image: php:8.0-apache
    container_name: Php
    ports:
      - "8080:80"
    volumes:
      - ./apache-php:/var/www/html

  python-flask:
    image: python:3.9
    container_name: Python
    ports:
      - "8082:5000"
    volumes:
      - ./python-flask:/app
    command: bash -c "pip install -r requirements.txt && flask run --host=0.0.0.0"

  golang:
    image: golang:1.18
    container_name: Go
    ports:
      - "8081:8081"
    volumes:
      - ./golang:/go/src/app
    working_dir: /go/src/app
    command: bash -c "go run main.go"

volumes:
  Php:
  Python:
  Go:
